Bug 471287 - password plugin can't handle entries without kerberos
password plugin can't handle entries without kerberos
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.2
All Linux
medium Severity medium
: v2 release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2008-11-12 15:36 EST by Rob Crittenden
Modified: 2015-01-04 18:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't require kerberos attrs on all password changes (5.56 KB, patch)
2010-04-23 11:38 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-11-12 15:36:37 EST
The password extop plugin requires that the entry have kerberos credentials (and/or objectclass I suppose) in order to reset a password using ldappasswd.

If you have an entry like this:

dn: uid=passsync,cn=sysaccounts,cn=etc,dc=greyoak,dc=com
objectClass: account
objectClass: simplesecurityobject
objectClass: top
uid: passsync
userPassword::XXXXXX...

If fails if you do:

%ldappasswd -v -Y GSSAPI -S uid=passsync,cn=sysaccounts,cn=etc,dc=greyoak,dc=com
New password: 
Re-enter new password: 
ldap_initialize( <DEFAULT> )
SASL/GSSAPI authentication started
SASL username: admin@GREYOAK.COM
SASL SSF: 56
SASL data security layer installed.
Result: Operations error (1)
Additional info: Failed to update password

DS logs:

[12/Nov/2008:15:34:36 -0500] ipa_pwd_extop - no krbPrincipalName present in this entry
[12/Nov/2008:15:34:36 -0500] ipa_pwd_extop - key encryption/encoding failed
Comment 1 Simo Sorce 2008-11-18 17:32:15 EST
Temporary workaround is to use ldapmodify and change the userPassword attribute.
Comment 3 Rob Crittenden 2010-04-23 11:38:59 EDT
Created attachment 408651 [details]
Don't require kerberos attrs on all password changes
Comment 4 Rob Crittenden 2010-04-23 15:23:14 EDT
master: ba85312bf1304d20f4199038bcf4a3f900dad7cf

Note You need to log in before you can comment on or make changes to this bug.